Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.filesystems
Interface AbstractFileSystem.Change

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  JarFileSystem.Impl, LocalFileSystem.Impl, XMLFileSystem.Impl

Enclosing class:
  AbstractFileSystem

    public static interface AbstractFileSystem.Change

extends Serializable

Controls modification of files.

Field Summary
`static long` | `serialVersionUID` Deprecated. Only public by accident.

Method Summary
`void` | `createData(String name)` Create new data file.
`void` | `createFolder(String name)` Create new folder.
`void` | `delete(String name)` Delete a file.
`void` | `rename(String oldName, String newName)` Rename a file.

Field Detail

### serialVersionUID

    static final long serialVersionUID

  Deprecated. Only public by accident.
  See Also:
    Constant Field Values

Method Detail

### createFolder

    void createFolder(String name)
                      throws IOException

  Create new folder.

  Parameters:
    `name` - full name of new folder, e.g. `topfolder/newfolder`
  Throws:
    `IOException` - if the operation fails

### createData

    void createData(String name)
                    throws IOException

  Create new data file.

  Parameters:
    `name` - full name of the file, e.g. `path/from/root/filename.ext`
  Throws:
    `IOException` - if the file cannot be created (e.g. already exists)

### rename

    void rename(String oldName,
                String newName)
                throws IOException

  Rename a file.

  Parameters:
    `oldName` - old name of the file; fully qualified
    `newName` - new name of the file; fully qualified
  Throws:
    `IOException` - if it could not be renamed

### delete

    void delete(String name)
                throws IOException

  Delete a file.

  Parameters:
    `name` - name of file; fully qualified
  Throws:
    `IOException` - if the file could not be deleted

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.